package cn.bunny.result.constant;

import lombok.Data;

/**
 * Redis用户前缀设置
 */
@Data
public class RedisUserConstant {
    // 管理员用户
    public static final String ADMIN_LOGIN_INFO_PREFIX = "ADMIN::LOGIN_INFO::";
    public static final String ADMIN_EMAIL_CODE_PREFIX = "ADMIN::EMAIL_CODE::";
    // 普通用户
    public static final String USER_LOGIN_INFO_PREFIX = "USER::LOGIN_INFO::";
    public static final String USER_EMAIL_CODE_PREFIX = "USER::EMAIL_CODE::";
    public static final String USER_DO_LIKE_PREFIX = "USER::doLike::";

    /**
     * * 管理员用户登录信息
     *
     * @param adminUser 管理员用户
     * @return 登录信息key
     */
    public static String getAdminLoginInfoPrefix(String adminUser) {
        return ADMIN_LOGIN_INFO_PREFIX + adminUser;
    }

    /**
     * * 管理员用户邮箱验证码
     *
     * @param adminUser 管理员用户
     * @return 管理员用户邮箱验证码key
     */
    public static String getAdminUserEmailCodePrefix(String adminUser) {
        return ADMIN_EMAIL_CODE_PREFIX + adminUser;
    }

    /**
     * * 用户登录信息
     *
     * @param user 用户名
     * @return 登录信息key
     */
    public static String getUserLoginInfoPrefix(String user) {
        return USER_LOGIN_INFO_PREFIX + user;
    }

    /**
     * * 用户邮箱验证码
     *
     * @param user 用户名
     * @return 用户邮箱验证码key
     */
    public static String getUserEmailCodePrefix(String user) {
        return USER_EMAIL_CODE_PREFIX + user;
    }

    /**
     * * 用户点赞操作
     *
     * @param user 用户名
     * @return 用户点赞key
     */
    public static String getUserDoLikePrefix(String user) {
        return USER_DO_LIKE_PREFIX + user;
    }
}
